%define anolis_release 2

%global upstream_name pytest-randomly

Name:           python-%{upstream_name}
Version:        3.12.0
Release:        %{anolis_release}%{?dist}
Summary:        Pytest plugin to randomly order tests and control random.seed
License:        MIT
URL:            https://github.com/pytest-dev/pytest-randomly
Source0:        %{url}/archive/%{version}/%{upstream_name}-%{version}.tar.gz

# Tests support for pytest 7.3.x
# https://github.com/pytest-dev/pytest-randomly/pull/540
# Merged upstream without preserving pytest 7.2.x compatibility
# Rebased; requirements/py*.txt changes not included
Patch:          pytest-7.3.patch

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros

%description
%{summary}.

%package -n     python3-%{upstream_name}
Summary:        %{summary}

%description -n python3-%{upstream_name}
%{summary}.

%prep
%autosetup -p1 -n %{upstream_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pytest_randomly

%files -n python3-%{upstream_name} -f %{pyproject_files}
%license LICENSE

%changelog
* Mon Nov 20 2023 happy_orange <songnannan@linux.alibaba.com> - 3.12.0-2
- fix spec error of the Release

* Fri May 19 2023 Funda Wang <fundawang@yeah.net> - 3.12.0-1
- Import package for anolis 23
